import 'package:ffi_helper/ffi_helper.dart';
import 'package:test/test.dart';

void main() {
  test('refCount', () {
    final shared = SharedUint8(10);
    final ref = shared.newRef();
    expect(shared.refCount, 1);

    final ref2 = shared.newRef();
    expect(shared.refCount, 2);

    ref.view.setAll(0, const [0, 0, 0, 0, 1, 1, 1, 1, 2, 2]);
    expect(ref.view, equals(ref2.view));

    ref.delete();
    expect(shared.refCount, 1);

    ref2.delete();
    expect(shared.refCount, 0);
  });
}
